Subject: Re: [PATCH v3 2/3] refs: add option core.logAllRefUpdates = always

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 Jan 2017 09:08:52 -0800

Jeff King <[email-masked]> writes:

> So I agree the current behavior is quietly broken, which is not good.
> But I wonder if "--no-create-reflog" is really sane in the first place,
> and whether we might be better off to simply disallow it.

Thanks for a reasoned argument and a reasonable justification.  I
agree with all that.  

I think it is probably a good idea to document the behaviour
(i.e. "--no-create" single-shot from the command line is ignored).
I am not sure we should error out, though, in order to "disallow"
it---a documented silent no-op may be sufficient.